Library Version 18.1.40

DbMpoolFile::get_clear_len()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbMpoolFile::get_clear_len()

    #include <db_cxx.h>

    int
    DbMpoolFile::get_clear_len(u_int32_t *lenp);

The `DbMpoolFile::get_clear_len()` method returns the bytes to be cleared.

The `DbMpoolFile::get_clear_len()` method may be called at any time during the life of the application.

The `DbMpoolFile::get_clear_len()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lenp

The `DbMpoolFile::get_clear_len()` method returns the bytes to be cleared in lenp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods

Prev | Up | Next
DbMpoolFile::sync() | Home | DbMpoolFile::get_fileid()